Wallet
With this Wallet method you can create your wallet in Payku.
https://app.payku.cl/ (Default server) · https://des.payku.cl/ (Sandbox server)Make payments to third parties from my wallet
Section titled “Make payments to third parties from my wallet”/api/wallet/payoutThis method allows you to create a payment order to a third party using the funds in your wallet virtual payku.
Note: For testing purposes (Development environment only), specific amounts will be processed automatically:
• Amounts 1000, 2000, 3000: Will be marked as approved automatically.
• Amounts 1500, 2500, 3500: Will be marked as rejected automatically.
Request body
| Parameter | Type | Description |
|---|---|---|
emailrequired |
string <email> | Client email |
phone |
string | Client phone |
subjectrequired |
string | Order Description |
currencyrequired |
string | Currency description (ISO format) |
orderrequired |
string | E-commerce order |
amountrequired |
integer | Order amount |
accountbank_namerequired |
string | Name of the destination account holder |
accountbank_rutrequired |
string | Rut of the destination account holder |
accountbank_sbifrequired |
string | Code of the bank to which the bank account belongs. |
accountbank_typerequired |
string | Account type.
|
accountbank_numrequired |
string | Customer account number
|
url_notify |
string | url where the result of the payment will be notified.
|
additional_parameters |
object | Client additional parameters |
parameter_1 |
string | Parameter name given by user payku |
parameter_2 |
string | Parameter name given by user payku |
order_ext |
string | Name of the external order given by the user payku (Optional) |
curl -X POST \https://BASE-URL/api/wallet/payout \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SIGN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \-d '{ "email": "[email protected]", "phone": "123456789", "subject": "subject", "currency": "CLP", "order": "98745", "amount": 1000, "accountbank_name": "example name", "accountbank_rut": "111111111", "accountbank_sbif": "0001", "accountbank_type": "1", "accountbank_num": "12312312312", "url_notify": "https://youwebsite.com/urlnotify?orderClient=98745", "additional_parameters": { "parameters1": "keyValue", "parameters2": "keyValue2", "order_ext": "fff-777" }}'$client = new \GuzzleHttp\Client(); $body = $client->request('POST', 'https://BASE_URL/api/wallet/payout', [ 'json' => [ 'phone' => '123456789', 'subject' => 'subject', 'order' => "133222", 'currency' => 'CLP', 'amount' => 1000, 'accountbank_name' => 'example name', 'accountbank_rut' => '111111111', 'accountbank_sbif' => '0001', 'accountbank_type' => '1', 'accountbank_num' => '12312312312', 'url_notify' => 'https://youwebsite.com/urlnotify?orderClient=98745', 'additional_parameters' => [ 'parameters1' => 'keyValue', 'parameters2' => 'keyValue2', 'order_ext' => 'fff-777' ] ], 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async (data) => { const response = await fetch('https://BASE_URL/api/wallet/payout', { method: 'POST', headers: { 'Content-Type': 'application/json', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN', 'Authorization': 'Bearer PUBLIC-TOKEN' }, body: JSON.stringify(data) }); const result = await response.json(); console.log(result)}
let data = { "phone": "123456789", "subject": "subject", "currency": "CLP", "order": "133222", "amount": 1000, "accountbank_name": "example name", "accountbank_rut": "111111111", "accountbank_sbif": "0001", "accountbank_type": "1", "accountbank_num": "12312312312", "url_notify": "https://youwebsite.com/urlnotify?orderClient=98745", "additional_parameters": { "parameters1": "keyValue", "parameters2": "keyValue2", "order_ext": "fff-777" }};
request(data);Responses
{ "status": "success", "identifier_wallet": "wab5f7232dafff18f9", "identifier_payout": "mor33e36b01e8a11b9ee"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Status of the load to the wallet. The possible statuses that can be obtained are the following:
|
identifier_wallet |
string | payku virtual wallet movement identifier. |
identifier_payout |
string | Third party payment identifier. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Withdraw money from my wallet
Section titled “Withdraw money from my wallet”/api/wallet/withdrawThis method allows you to create a settlement to the merchant's bank account using the funds from your virtual wallet payku.
Request body
| Parameter | Type | Description |
|---|---|---|
subjectrequired |
string | Order Description |
currencyrequired |
string | Currency description (ISO format) |
orderrequired |
string | E-commerce order |
amountrequired |
integer | order amount |
curl -X POST \https://BASE-URL/api/wallet/withdraw \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \-d '{ "subject": "subject", "currency": "CLP", "order": "98745", "amount": 1000}'$client = new \GuzzleHttp\Client(); $body = $client->request('POST', 'https://BASE_URL/api/wallet/withdraw', [ 'json' => [ 'subject' => 'subject', 'order' => "98745", 'currency' => 'CLP', 'amount' => 1000 ], 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async (data) => { const response = await fetch('https://BASE_URL/api/wallet/withdraw', { method: 'POST', headers: { 'Content-Type': 'application/json', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN', 'Authorization': 'Bearer PUBLIC-TOKEN' }, body: JSON.stringify(data) }); const result = await response.json(); console.log(result)}
let data = { "amount": 1000, "currency": "CLP", "order": "98745", "subject": "subject"};
request(data);Responses
{ "status": "Success", "identifier_wallet": "wab5f7232dafff18f9"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Status of the load to the wallet. The possible statuses that can be obtained are the following:
|
identifier_wallet |
string | payku virtual wallet movement identifier. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Get balance
Section titled “Get balance”/api/walletThis method allows you to obtain the balance of your virtual wallet payku.
curl -X GET \https://BASE-URL/api/wallet \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/wallet', [ 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/wallet', { method: 'GET', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer PUBLIC-TOKEN', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' }, }); const result = await response.json(); console.log(result)}
request();Responses
{ "status": "success", "current_id": "wa8a6171ab83323c37", "amount_available": 1766, "currency": "CLP", "filter": { "page": 1, "per_page": 1000, "currency": "CLP", "id": "wa8a6171ab83323c37" }, "wallet_movements": [ { "id": "wa8a6171ab83323c37", "order": "tme5", "subject": "tme5 asunto", "created_at": "2022-06-09 20:07:02", "income_expense": "expense", "status": "current", "amount": "3680", "actual_amount": "1766", "origin_liquidation": null, "currency": "CLP", "payout": { "id": "war3999847529816f2", "phone": "111111111", "subject": "subject order", "amount": "3680", "accountbank_rut": "111111111", "accountbank_name": "test", "accountbank_type": 1, "accountbank_num": 123123123, "accountbank_sbif": "0001", "status": "pending", "update_at": "2022-06-09 21:10:46" } } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | |
current_id |
string | Payku virtual wallet identifier "last movements". |
amount_available |
integer | Amount available in Payku's virtual wallet. |
currency |
string | Currency. |
filter |
object | Specific data to filter the data. |
page |
integer | Actual page. |
per_page |
integer | Number of moves per page. |
currency |
string | Currency. |
id |
string | Wallet account identifier. |
wallet_movements |
array of objects | |
id |
string | Virtual wallet identifier. |
order |
string | Order identifier. |
subject |
string | Description of the movement. |
created_at |
string | Movement execution date. |
income_expense |
string | Payment to a third party or withdrawal to your account. |
status |
string | Movement status. |
amount |
string | Movement amount. |
actual_amount |
string | Current Balance Amount. |
origin_liquidation |
string | Origin of settlement. |
currency |
string | Currency. |
payout |
object | Destination account data. |
id |
string | Destination account identifier. |
phone |
string | Telephone of the destination account holder. |
email |
string | Destination account holder's email. |
subject |
string | Application Status. |
amount |
string | Amount to be deposited in the destination account. |
accountbank_rut |
string | Rut of the destination account holder. |
accountbank_name |
string | Name of the destination account holder. |
accountbank_type |
integer | Type of account of the destination bank. |
accountbank_num |
integer | Destination bank account number. |
accountbank_sbif |
string | Code of the bank to which the bank account belongs. |
status |
string | Movement status. |
update_at |
string | Date the request was made. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Identifier does not exist.
{ "status": "failed", "type": "Not Found", "id": "is not valid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
id |
string | Id information |
get moves
Section titled “get moves”/api/wallet/listThis method allows you to obtain the movements of your virtual wallet payku, this method allows pagination with a maximum of 4000 records per page, In addition, it has the following filters:
For pagination it is necessary to add the following at the end of the endpoint ?page=1&per_page=100 being the first parameter the number of the page and the second the number of records per page As for example: api/wallet/list?page=1&per_page=100.
curl -X GET \https://BASE-URL/api/wallet/list \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/wallet/list', [ 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/wallet/list', { method: 'GET', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer PUBLIC-TOKEN', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' }, }); const result = await response.json(); console.log(result)}
request();Responses
{ "status": "success", "current_id": "wa8a6171ab83323c37", "amount_available": 1766, "currency": "CLP", "filter": { "page": 1, "per_page": 1000, "currency": "CLP", "id": "wa8a6171ab83323c37" }, "wallet_movements": [ { "id": "wa8a6171ab83323c37", "order": "tme5", "subject": "tme5 asunto", "created_at": "2022-06-09 20:07:02", "income_expense": "expense", "status": "current", "amount": "3680", "actual_amount": "1766", "origin_liquidation": null, "currency": "CLP", "payout": { "id": "war3999847529816f2", "phone": "111111111", "subject": "subject order", "amount": "3680", "accountbank_rut": "111111111", "accountbank_name": "test", "accountbank_type": 1, "accountbank_num": 123123123, "accountbank_sbif": "0001", "status": "pending", "update_at": "2022-06-09 21:10:46" } } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | |
current_id |
string | Payku virtual wallet identifier "last movements". |
amount_available |
integer | Amount available in Payku's virtual wallet. |
currency |
string | Currency. |
filter |
object | Specific data to filter the data. |
page |
integer | Actual page. |
per_page |
integer | Number of moves per page. |
currency |
string | Currency. |
id |
string | Wallet account identifier. |
wallet_movements |
array of objects | |
id |
string | Virtual wallet identifier. |
order |
string | Order identifier. |
subject |
string | Description of the movement. |
created_at |
string | Movement execution date. |
income_expense |
string | Payment to a third party or withdrawal to your account. |
status |
string | Movement status. |
amount |
string | Movement amount. |
actual_amount |
string | Current Balance Amount. |
origin_liquidation |
string | Origin of settlement. |
currency |
string | Currency. |
payout |
object | Destination account data. |
id |
string | Destination account identifier. |
phone |
string | Telephone of the destination account holder. |
email |
string | Destination account holder's email. |
subject |
string | Application Status. |
amount |
string | Amount to be deposited in the destination account. |
accountbank_rut |
string | Rut of the destination account holder. |
accountbank_name |
string | Name of the destination account holder. |
accountbank_type |
integer | Type of account of the destination bank. |
accountbank_num |
integer | Destination bank account number. |
accountbank_sbif |
string | Code of the bank to which the bank account belongs. |
status |
string | Movement status. |
update_at |
string | Date the request was made. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Identifier does not exist.
{ "status": "failed", "type": "Not Found", "id": "is not valid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
id |
string | Id information |
Get move
Section titled “Get move”/api/wallet/{identificadorWallet}This method allows to obtain a movement of your virtual wallet payku using an identifier:
To perform the query it is necessary to add the following at the end of the endpoint /{identificadorWallet} for example: api/wallet/wa24bg36767.
curl -X GET \https://BASE-URL/api/wallet/{idWallet} \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/wallet/{idWallet}', [ 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/wallet/{idWallet}', { method: 'GET', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer PUBLIC-TOKEN', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' }, }); const result = await response.json(); console.log(result)}
request();Responses
{ "status": "success", "current_id": "wa8a6171ab83323c37", "amount_available": 1766, "currency": "CLP", "filter": { "page": 1, "per_page": 1000, "currency": "CLP", "id": "wa8a6171ab83323c37" }, "wallet_movements": [ { "id": "wa8a6171ab83323c37", "order": "tme5", "subject": "tme5 asunto", "created_at": "2022-06-09 20:07:02", "income_expense": "expense", "status": "current", "amount": "3680", "actual_amount": "1766", "origin_liquidation": null, "currency": "CLP", "payout": { "id": "war3999847529816f2", "phone": "111111111", "subject": "subject order", "amount": "3680", "accountbank_rut": "111111111", "accountbank_name": "test", "accountbank_type": 1, "accountbank_num": 123123123, "accountbank_sbif": "0001", "status": "pending", "update_at": "2022-06-09 21:10:46" } } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | |
current_id |
string | Payku virtual wallet identifier "last movements". |
amount_available |
integer | Amount available in Payku's virtual wallet. |
currency |
string | Currency. |
filter |
object | Specific data to filter the data. |
page |
integer | Actual page. |
per_page |
integer | Number of moves per page. |
currency |
string | Currency. |
id |
string | Wallet account identifier. |
wallet_movements |
array of objects | |
id |
string | Virtual wallet identifier. |
order |
string | Order identifier. |
subject |
string | Description of the movement. |
created_at |
string | Movement execution date. |
income_expense |
string | Payment to a third party or withdrawal to your account. |
status |
string | Movement status. |
amount |
string | Movement amount. |
actual_amount |
string | Current Balance Amount. |
origin_liquidation |
string | Origin of settlement. |
currency |
string | Currency. |
payout |
object | Destination account data. |
id |
string | Destination account identifier. |
phone |
string | Telephone of the destination account holder. |
email |
string | Destination account holder's email. |
subject |
string | Application Status. |
amount |
string | Amount to be deposited in the destination account. |
accountbank_rut |
string | Rut of the destination account holder. |
accountbank_name |
string | Name of the destination account holder. |
accountbank_type |
integer | Type of account of the destination bank. |
accountbank_num |
integer | Destination bank account number. |
accountbank_sbif |
string | Code of the bank to which the bank account belongs. |
status |
string | Movement status. |
update_at |
string | Date the request was made. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Identifier does not exist.
{ "status": "failed", "type": "Not Found", "id": "is not valid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
id |
string | Id information |
get payout
Section titled “get payout”/api/payout/{identificadorPayout}This method allows you to obtain a movement of payments to third parties from your payku virtual wallet using an identifier:
To perform the query it is necessary to add the following at the end of the endpoint /{identificadorPayout} for example: api/payout/wa24bg36767.
curl -X GET \https://BASE-URL/api/payout/{identificadorPayout} \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/payout/{identificadorPayout}', [ 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/payout/{identificadorPayout}', { method: 'GET', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer PUBLIC-TOKEN', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' }, }); const result = await response.json(); console.log(result)}
request();Responses
{ "payout": { "id": "war3999847529816f2", "phone": "111111111", "subject": "subject order", "amount": "3680", "accountbank_rut": "111111111", "accountbank_name": "test", "accountbank_type": 1, "accountbank_num": 123123123, "accountbank_sbif": "0001", "status": "pending", "update_at": "2022-06-09 21:10:46", "origin_wallet": "wa1933f37cdaf7d1c6" }}Response fields
| Parameter | Type | Description |
|---|---|---|
payout |
object | Destination account identifier. |
id |
string | Destination account identifier. |
phone |
string | Telephone of the destination account holder. |
email |
string | Destination account holder's email. |
subject |
string | Application Status. |
amount |
string | Amount to be deposited in the destination account. |
accountbank_rut |
string | Rut of the destination account holder. |
accountbank_name |
string | Name of the destination account holder. |
accountbank_type |
integer | Type of account of the destination bank. |
accountbank_num |
integer | Destination bank account number. |
accountbank_sbif |
string | Code of the bank to which the bank account belongs. |
status |
string | Movement status.
|
update_at |
string | Date the request was made. |
origin_wallet |
string | Id de la wallet origen. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Identifier does not exist.
{ "status": "failed", "type": "Not Found", "id": "is not valid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
id |
string | Id information |
get payout V3
Section titled “get payout V3”/api/payoutv3/{identificadorPayout}This method allows you to obtain a movement of payments to third parties from your payku virtual wallet using an identifier:
To perform the query it is necessary to add the following at the end of the endpoint /{identificadorPayout} for example: api/payoutv3/mor33e36b01e8a11b9ee.
curl -X GET \https://BASE-URL/api/payoutv3/{identificadorPayout} \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Sign: SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \$client = new \GuzzleHttp\Client(); $body = $client->request('GET', 'https://BASE_URL/api/payoutv3/{identificadorPayout}', [ 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', 'Sign' => 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' ] ])->getBody();$response = json_decode($body);const request = async () => { const response = await fetch('https://BASE_URL/api/payoutv3/{identificadorPayout}', { method: 'GET', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer PUBLIC-TOKEN', 'Sign': 'SHA256-REQUEST-PATH-VALUE-PRIVATE-TOKEN' }, }); const result = await response.json(); console.log(result)}
request();Responses
{ "payout": { "id": "war3999847529816f2", "phone": "111111111", "subject": "subject order", "amount": "3680", "accountbank_rut": "111111111", "accountbank_name": "test", "accountbank_type": 1, "accountbank_num": 123123123, "accountbank_sbif": "0001", "status": "pending", "update_at": "2022-06-09 21:10:46", "origin_wallet": "wa1933f37cdaf7d1c6", "reason_rejection": " Error CCA 51. Cuenta Beneficiario no Existe, error_creditor_account_not_found" }}Response fields
| Parameter | Type | Description |
|---|---|---|
payout |
object | Destination account identifier. |
id |
string | Destination account identifier. |
phone |
string | Telephone of the destination account holder. |
email |
string | Destination account holder's email. |
subject |
string | Application Status. |
amount |
string | Amount to be deposited in the destination account. |
accountbank_rut |
string | Rut of the destination account holder. |
accountbank_name |
string | Name of the destination account holder. |
accountbank_type |
integer | Type of account of the destination bank. |
accountbank_num |
integer | Destination bank account number. |
accountbank_sbif |
string | Code of the bank to which the bank account belongs. |
status |
string | Movement status.
|
update_at |
string | Date the request was made. |
origin_wallet |
string | Id de la wallet origen. |
reason_rejection |
string | Reason for rejection. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |
Identifier does not exist.
{ "status": "failed", "type": "Not Found", "id": "is not valid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
id |
string | Id information |